### Function

# Ide environ_parse

#### Declaration

    gboolean
    ide_environ_parse (
      const gchar* pair,
      gchar** key,
      gchar** value
    )

#### Description

Parses a KEY=VALUE style key-pair into `key` and `value`.

Available since: | 3.32

#### Parameters

`pair` | `const gchar*`
| The KEY=VALUE pair.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `gchar**`
| A location for a `key`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`value` | `gchar**`
| A location for a `value`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `pair` was successfully parsed.